Subject: Re: [PATCH v2 1/2] arm: cns3xxx: fix writing to wrong PCI registers after alignment

From: Bjorn Helgaas <[email-masked]>
Date: Wed, 30 Jan 2019 17:06:04 -0600

On Wed, Jan 30, 2019 at 11:08:04PM +0100, Arnd Bergmann wrote:
> On Thu, Jan 24, 2019 at 5:29 PM Lorenzo Pieralisi
> <[email-masked]> wrote:
> > On Thu, Jan 24, 2019 at 04:23:05PM +0100, Koen Vandeputte wrote:
> > > On 24.01.19 12:56, Lorenzo Pieralisi wrote:
> > > >On Mon, Jan 07, 2019 at 02:45:09PM +0100, Koen Vandeputte wrote:
> > > Purely for my information:
> > >
> > > Testing on a lot of devices here shows a huge improvement towards stability.
> > > Is it possible to get it merged sooner?
> > > Does "queued for 5.1" also mean that backporting to stables only will happen
> > > at 5.1_rc1 release?
> >
> > Yes, I will ask Bjorn if we can send them for one of the upcoming -rc*
> > (so effectively you will get them in v5.0 and propagated to stable
> > earlier), I do not think it is that urgent either though, let me handle
> > that.
> 
> We can take them through the soc tree if that's easier, but
> going through Bjorn's tree is also fine.

I have the following on my for-linus branch and I'll ask Linus to pull them
this week, so they will appear in v5.0:

  b8b592a3a8d1 ARM: cns3xxx: use actual size reads for PCIe
  b3a32f359397 ARM: cns3xxx: fix writing to wrong PCI registers after alignment

Neither is currently marked for stable, but I'll add that if you like.
They're already both marked as:

  Fixes: 802b7c06adc7 ("ARM: cns3xxx: Convert PCI to use generic config accessors")

which I think appeared in v4.0.

Bjorn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel